> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# List Experiments

GET https://restapi.ordergroove.com/experiments/list-experiments/



Reference: https://docs.ordergroove.com/reference/rest-rpc-api/experiments/list-experiments

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /experiments/list-experiments/:
    get:
      operationId: list-experiments
      summary: List Experiments
      description: ''
      tags:
        - experiments
      parameters:
        - name: merchant_public_id
          in: query
          description: Merchant Public ID
          required: true
          schema:
            type: string
        - name: experiment_type
          in: query
          description: Filters by experiment type
          required: false
          schema:
            $ref: >-
              #/components/schemas/ExperimentsListExperimentsGetParametersExperimentType
        - name: status
          in: query
          description: Filters by status of experiment
          required: false
          schema:
            $ref: '#/components/schemas/ExperimentsListExperimentsGetParametersStatus'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Experiments_list-experiments_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/List-experimentsRequestBadRequestError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ExperimentsListExperimentsGetParametersExperimentType:
      type: string
      enum:
        - '"retry_flows"'
        - '"offer_incentives"'
      title: ExperimentsListExperimentsGetParametersExperimentType
    ExperimentsListExperimentsGetParametersStatus:
      type: string
      enum:
        - '"created"'
        - '"running"'
        - '"aborted"'
        - '"finished"'
      title: ExperimentsListExperimentsGetParametersStatus
    ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsFinalConfiguration:
      type: object
      properties:
        winning_variant:
          type: string
        confidence_level:
          type: number
          format: double
          default: 0
        winning_offer_profile:
          type: string
      title: >-
        ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsFinalConfiguration
    ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsVariantsItemsParameters:
      type: object
      properties:
        offer_profile_public_id:
          type: string
      title: >-
        ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsVariantsItemsParameters
    ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsVariantsItems:
      type: object
      properties:
        experiment:
          type: string
        public_id:
          type: string
        name:
          type: string
        weight:
          type: integer
          default: 0
        is_control:
          type: boolean
          default: true
        created_at:
          type: string
        last_updated_at:
          type: string
        parameters:
          $ref: >-
            #/components/schemas/ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsVariantsItemsParameters
      title: >-
        ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsVariantsItems
    ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItems:
      type: object
      properties:
        public_id:
          type: string
        merchant:
          type: string
        name:
          type: string
        description:
          type: string
        hypothesis:
          type: string
        primary_metric:
          type: string
        guardrail_metric:
          type: string
        experiment_type:
          type: string
        scheduled_finish_time:
          type: string
        status:
          type: string
        started_at:
          type: string
        ended_at:
          type: string
        final_configuration:
          $ref: >-
            #/components/schemas/ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsFinalConfiguration
        created_at:
          type: string
        last_updated_at:
          type: string
        variants:
          type: array
          items:
            $ref: >-
              #/components/schemas/ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItemsVariantsItems
      title: >-
        ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItems
    Experiments_list-experiments_Response_200:
      type: object
      properties:
        count:
          type: integer
          default: 0
        next:
          type: string
        previous:
          type: string
        results:
          type: array
          items:
            $ref: >-
              #/components/schemas/ExperimentsListExperimentsGetResponsesContentApplicationJsonSchemaResultsItems
      title: Experiments_list-experiments_Response_200
    List-experimentsRequestBadRequestError:
      type: object
      properties: {}
      title: List-experimentsRequestBadRequestError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/experiments/list-experiments/"

querystring = {"merchant_public_id":"merchant_public_id"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/experiments/list-experiments/?merchant_public_id=merchant_public_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```